org.eclipse.eef.core.api.controllers

## Interface IEEFOnClickController

All Superinterfaces:
  IEEFController, IEEFWidgetController

All Known Subinterfaces:
  IEEFHyperlinkController, IEEFListController

All Known Implementing Classes:
  AbstractEEFOnClickController, EEFHyperlinkController, EEFListController

    public interface IEEFOnClickController
    extends IEEFWidgetController

The IEEFOnClickController is responsible of supporting all the interactions with the clickable widgets.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onClick(java.lang.Object element, java.lang.String onClickEventKind)` Invoked when the user clicks on an object.

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFWidgetController

`computeHelp, onNewHelp, onNewLabel, removeNewHelpConsumer, removeNewLabelConsumer`

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFController

`onValidation, refresh, removeValidationConsumer`

### Method Detail

#### onClick

    void onClick(java.lang.Object element,
                 java.lang.String onClickEventKind)

Invoked when the user clicks on an object.

Parameters:
  `element` - Semantic element
  `onClickEventKind` - The kind of event (single click or double click)